Bug 1580070 - fio: fio-3.6-2.fc29 requires both Python 2 and Python 3
Summary: fio: fio-3.6-2.fc29 requires both Python 2 and Python 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fio
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-05-19 19:59 UTC by Iryna Shcherbina
Modified: 2018-06-01 19:52 UTC (History)
1 user (show)

Fixed In Version: fio-3.6-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-01 19:52:53 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-05-19 19:59:03 UTC
The fio-3.6-2.fc29 RPM requires both Python 2 and Python 3:

$ dnf repoquery --repo=rawhide --requires fio | grep python
/usr/bin/python2.7
/usr/bin/python3

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error.
There are three executables in the fio package with `/usr/bin/python2.7`
shebang, which introduce the Python 2 dependency: 

# grep -r /usr/bin/python2 .
./bin/fio2gnuplot:#!/usr/bin/python2.7
./bin/fiologparser_hist.py:#!/usr/bin/python2.7
./bin/fio_jsonplus_clat2csv:#!/usr/bin/python2.7

Please remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 28 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Eric Sandeen 2018-05-21 14:50:01 UTC
This was a mistake, I intended to patch the shebang to python3; let me see what happened.

Comment 2 Eric Sandeen 2018-06-01 19:52:53 UTC
fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.